%define section         free
%define component	cache

# To make the tarball:
#  export CVSROOT=:pserver:anonymous@cvs.forge.objectweb.org:/cvsroot/perseus
#  cvs login
#  cvs export -r CACHE_1_3_4 cache
#  find cache -name '*.jar' | xargs rm

Name:		perseus-%{component}
Summary:	Perseus cache component
Version: 	1.3.4
Release:	1jpp
Epoch:		0
URL: 		http://perseus.objectweb.org/doc/%{component}/
License: 	LGPL
Vendor:         JPackage Project
Distribution:   JPackage
Group: 		Development/Libraries/Java
Source: 	%{name}-%{version}.tar.bz2
BuildRequires:	jpackage-utils, ant, objectweb-anttask
BuildRequires:	fractal
BuildRequires:	log4j
BuildRequires:	monolog
Requires:	fractal
Requires:	log4j
Requires:	monolog
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch

%description
Perseus provides various components for managing persistency.
The cache component component provides caching of java objects.

%package javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{component}
build-jar-repository externals \
    fractal/fractal \
    log4j \
    monolog/ow_monolog

%build
unset CLASSPATH
export OPT_JAR_LIST="objectweb-anttask"
ant jar jdoc

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/perseus
install -m 644 output/dist/lib/ow_perseus_%{component}.jar \
    $RPM_BUILD_ROOT%{_javadir}/perseus/ow_perseus_%{component}-%{version}.jar
ln -s ow_perseus_%{component}-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/perseus/ow_perseus_%{component}.jar

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr output/dist/doc/jdoc/perseus_%{component} \
    $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%{_javadir}/perseus

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Wed Jun 29 2005 Gary Benson <gbenson@redhat.com> 0:1.3.4-1jpp
- Initial build.

